New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

fix npe when check for exception cause #761

Merged
merged 3 commits into from Nov 17, 2015

Conversation

Projects
None yet
2 participants
@ssalinas
Member

ssalinas commented Nov 13, 2015

@ssalinas ssalinas added the hs_staging label Nov 13, 2015

@@ -99,7 +99,7 @@ public SlaveNotFoundException(Exception e) {
} catch (ConnectException ce) {
throw new SlaveNotFoundException(ce);
} catch (Exception e) {
if (e.getCause().getClass() == ConnectException.class) {
if (e.getCause()!= null && e.getCause().getClass() == ConnectException.class) {

This comment has been minimized.

@tpetr

tpetr Nov 13, 2015

Member

insane nitpick -- can you add a space before !==? might also be good to wrap the two equality checks in parens for readability

ssalinas added some commits Nov 13, 2015

@tpetr

This comment has been minimized.

Member

tpetr commented Nov 13, 2015

👍

@ssalinas ssalinas added the hs_qa label Nov 16, 2015

@tpetr tpetr added the hs_stable label Nov 17, 2015

@tpetr tpetr added this to the 0.4.6 milestone Nov 17, 2015

tpetr added a commit that referenced this pull request Nov 17, 2015

Merge pull request #761 from HubSpot/sentry_npe
fix npe when check for exception cause

@tpetr tpetr merged commit 61d44ab into master Nov 17, 2015

2 checks passed

continuous-integration/travis-ci/pr The Travis CI build passed
Details
continuous-integration/travis-ci/push The Travis CI build passed
Details

@tpetr tpetr deleted the sentry_npe branch Nov 17, 2015

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment